<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classfed__itf.html">fed_itf</a></li><li class="navelem"><a class="el" href="classfed__itf_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classfed__itf_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:afb80f006531056338a0c385009ed5317"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb80f006531056338a0c385009ed5317"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afb80f006531056338a0c385009ed5317">PROCESS_72</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abd21d871853b9d819779ccb68e34c562"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd21d871853b9d819779ccb68e34c562"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abd21d871853b9d819779ccb68e34c562">PROCESS_73</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a48cdf5e278f76c61ab0a4bebd83a026c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48cdf5e278f76c61ab0a4bebd83a026c"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a48cdf5e278f76c61ab0a4bebd83a026c">PROCESS_74</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3f0298d6da8002ff6e855c359396d886"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f0298d6da8002ff6e855c359396d886"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3f0298d6da8002ff6e855c359396d886">PROCESS_75</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8eae5ee86b361828b11d15d90c24509a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8eae5ee86b361828b11d15d90c24509a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a8eae5ee86b361828b11d15d90c24509a">PROCESS_76</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab8592353a9431dc068892233ea59d184"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8592353a9431dc068892233ea59d184"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ab8592353a9431dc068892233ea59d184">PROCESS_77</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afa82fafd0c15b0aa1fac9b6246e4505d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa82fafd0c15b0aa1fac9b6246e4505d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afa82fafd0c15b0aa1fac9b6246e4505d">PROCESS_78</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6e648d97eb4ed872f87a9a69100c0196"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e648d97eb4ed872f87a9a69100c0196"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a6e648d97eb4ed872f87a9a69100c0196">PROCESS_79</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0b30fa60b3de22dc1003d81f93b6963a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b30fa60b3de22dc1003d81f93b6963a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a0b30fa60b3de22dc1003d81f93b6963a">PROCESS_80</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3a7c4078e990b5be24484b609481c2b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a7c4078e990b5be24484b609481c2b3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3a7c4078e990b5be24484b609481c2b3">FED_itf_state_clk</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9fc4ad3469d1ac531c7a9166c3c7d72c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fc4ad3469d1ac531c7a9166c3c7d72c"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9fc4ad3469d1ac531c7a9166c3c7d72c">FED_itf_state_machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fill_blk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">empt_ff</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">block_free</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">blk_full</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">last_word</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8fd94514d34fdf1a9900368f2f9654ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8fd94514d34fdf1a9900368f2f9654ba"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a8fd94514d34fdf1a9900368f2f9654ba">PROCESS_81</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">G_rst_rd</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abf403021a6480cc87032e36077da3500"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf403021a6480cc87032e36077da3500"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abf403021a6480cc87032e36077da3500">PROCESS_82</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3513ab15175627d3eaf4dc0e8a908995"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3513ab15175627d3eaf4dc0e8a908995"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3513ab15175627d3eaf4dc0e8a908995">PROCESS_83</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a552397cde6cb4a8deea208489f383140"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a552397cde6cb4a8deea208489f383140"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a552397cde6cb4a8deea208489f383140">PROCESS_84</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7c6107d1ee69191f7024c49cc9a530bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c6107d1ee69191f7024c49cc9a530bc"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a7c6107d1ee69191f7024c49cc9a530bc">PROCESS_85</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aeb940ce8f62b99c14bf0a10a5b6d298d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb940ce8f62b99c14bf0a10a5b6d298d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#aeb940ce8f62b99c14bf0a10a5b6d298d">PROCESS_86</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a745eda259036a3926a251a5047b8e3da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a745eda259036a3926a251a5047b8e3da"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a745eda259036a3926a251a5047b8e3da">PROCESS_87</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a352cd80531eb577facf4efe86d46eacc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a352cd80531eb577facf4efe86d46eacc"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a352cd80531eb577facf4efe86d46eacc">PROCESS_88</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9971a59ac54aa22310f50f4bebd42ed0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9971a59ac54aa22310f50f4bebd42ed0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9971a59ac54aa22310f50f4bebd42ed0">PROCESS_89</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2a210560c89f45726dfa66ca8ad164b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a210560c89f45726dfa66ca8ad164b3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a2a210560c89f45726dfa66ca8ad164b3">PROCESS_192</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9823b8a3793323fcfa85511dc8dbf727"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9823b8a3793323fcfa85511dc8dbf727"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9823b8a3793323fcfa85511dc8dbf727">PROCESS_193</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:adb94c20d99adcaeb305558812b4045ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb94c20d99adcaeb305558812b4045ce"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#adb94c20d99adcaeb305558812b4045ce">PROCESS_194</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8cc52d9d87069cee46bf4e9e861058e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8cc52d9d87069cee46bf4e9e861058e0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a8cc52d9d87069cee46bf4e9e861058e0">PROCESS_195</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5704bec4216cd4ec6bc1d32f26ca0f1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5704bec4216cd4ec6bc1d32f26ca0f1d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a5704bec4216cd4ec6bc1d32f26ca0f1d">PROCESS_196</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3886c98a0e38c5df10dd0addc40bcce5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3886c98a0e38c5df10dd0addc40bcce5"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3886c98a0e38c5df10dd0addc40bcce5">PROCESS_197</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4310e962f7df2768051dd0b19a62aac3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4310e962f7df2768051dd0b19a62aac3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a4310e962f7df2768051dd0b19a62aac3">PROCESS_198</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a61847677c61a222d126cd43717080ea1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61847677c61a222d126cd43717080ea1"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a61847677c61a222d126cd43717080ea1">PROCESS_199</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4bc0eb3c432e353d38e9a7354250c680"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4bc0eb3c432e353d38e9a7354250c680"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a4bc0eb3c432e353d38e9a7354250c680">PROCESS_200</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_sysCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">sys_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3a7c4078e990b5be24484b609481c2b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a7c4078e990b5be24484b609481c2b3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3a7c4078e990b5be24484b609481c2b3">FED_itf_state_clk</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9fc4ad3469d1ac531c7a9166c3c7d72c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fc4ad3469d1ac531c7a9166c3c7d72c"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9fc4ad3469d1ac531c7a9166c3c7d72c">FED_itf_state_machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fill_blk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">empt_ff</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">block_free</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">blk_full</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">last_word</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae061d47a344d6569f7152f7e4006d3a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae061d47a344d6569f7152f7e4006d3a7"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ae061d47a344d6569f7152f7e4006d3a7">PROCESS_201</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">G_rst_rd</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aecd1ac7cc98b9b00fb65d18a36538f62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecd1ac7cc98b9b00fb65d18a36538f62"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#aecd1ac7cc98b9b00fb65d18a36538f62">PROCESS_202</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a325cc7650c280120fcf114cacb962223"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a325cc7650c280120fcf114cacb962223"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a325cc7650c280120fcf114cacb962223">PROCESS_203</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1d79e2453e5ec4c78c2a38c072734106"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d79e2453e5ec4c78c2a38c072734106"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a1d79e2453e5ec4c78c2a38c072734106">PROCESS_204</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac1a883a3287df3afe0843b67129d79dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1a883a3287df3afe0843b67129d79dc"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac1a883a3287df3afe0843b67129d79dc">PROCESS_205</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9367063fc11b7e72226536a0490a731e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9367063fc11b7e72226536a0490a731e"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9367063fc11b7e72226536a0490a731e">PROCESS_206</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af1da2873e816491bdad25c50b3f24eca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1da2873e816491bdad25c50b3f24eca"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#af1da2873e816491bdad25c50b3f24eca">PROCESS_207</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2821c5002dbceabe4a482b751b4c75e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2821c5002dbceabe4a482b751b4c75e8"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a2821c5002dbceabe4a482b751b4c75e8">PROCESS_208</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a925799a8de4bfd0381264df748987ad7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a925799a8de4bfd0381264df748987ad7"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a925799a8de4bfd0381264df748987ad7">PROCESS_209</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a034bfbb49eda139d82ca0ed4cd76576b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a034bfbb49eda139d82ca0ed4cd76576b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a034bfbb49eda139d82ca0ed4cd76576b">FIFO_sync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFIFO__sync.html">&lt;Entity FIFO_sync&gt; </a></em></td></tr>
<tr class="memitem:a8e4b8ee11cebbe4405d68b0b276b8b62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e4b8ee11cebbe4405d68b0b276b8b62"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a8e4b8ee11cebbe4405d68b0b276b8b62">event_generator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classevent__generator.html">&lt;Entity event_generator&gt; </a></em></td></tr>
<tr class="memitem:a1ba187a38bb6b9e4470ce1ed31fe048c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ba187a38bb6b9e4470ce1ed31fe048c"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a1ba187a38bb6b9e4470ce1ed31fe048c">CRC_SLINKx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCRC__SLINKx.html">&lt;Entity CRC_SLINKx&gt; </a></em></td></tr>
<tr class="memitem:af7578aec243ade4fa6ed2439ff1beab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7578aec243ade4fa6ed2439ff1beab7"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#af7578aec243ade4fa6ed2439ff1beab7">freq_measure</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classfreq__measure.html">&lt;Entity freq_measure&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:accc36ccb43ebd578e43aeabe24f1ac65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="accc36ccb43ebd578e43aeabe24f1ac65"></a>
<b><a class="el" href="classfed__itf_1_1behavioral.html#accc36ccb43ebd578e43aeabe24f1ac65">fill_blk_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">idle</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">read_fifo</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">update_para</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">dummy_a</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">dummy_b</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">dummy_c</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a2cda8367cca4823e054c6d3c3181d760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cda8367cca4823e054c6d3c3181d760"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a2cda8367cca4823e054c6d3c3181d760">fill_blk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">fill_blk_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acdb6004120dbebd58b38696f6b7e8b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdb6004120dbebd58b38696f6b7e8b47"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#acdb6004120dbebd58b38696f6b7e8b47">fill_blkNext</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">fill_blk_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea2c841cb041c7b722627f69a4a09a33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea2c841cb041c7b722627f69a4a09a33"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#aea2c841cb041c7b722627f69a4a09a33">G_rst_rd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a244414a8893fb9ea07e765599c17e649"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a244414a8893fb9ea07e765599c17e649"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a244414a8893fb9ea07e765599c17e649">datar_rreg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abdd9ebc686d341aeb772b46493631f25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdd9ebc686d341aeb772b46493631f25"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abdd9ebc686d341aeb772b46493631f25">data_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0921e65bdea3013b7b540bb6e012da6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0921e65bdea3013b7b540bb6e012da6b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a0921e65bdea3013b7b540bb6e012da6b">datar</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb36266816d79244111a397ec8fbc48d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb36266816d79244111a397ec8fbc48d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abb36266816d79244111a397ec8fbc48d">datar_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab75abca66f9e5f871151b650a985a5c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab75abca66f9e5f871151b650a985a5c0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ab75abca66f9e5f871151b650a985a5c0">start_evt_mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3492459390233bfe0595ffa97fc7f00a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3492459390233bfe0595ffa97fc7f00a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3492459390233bfe0595ffa97fc7f00a">stop_evt_mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c25e1754e5f520dbb1d8f97fa5a2c6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c25e1754e5f520dbb1d8f97fa5a2c6a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3c25e1754e5f520dbb1d8f97fa5a2c6a">end_frag</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a555a53afc5d63a0fe30cb4f959b53ea1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a555a53afc5d63a0fe30cb4f959b53ea1"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a555a53afc5d63a0fe30cb4f959b53ea1">finish_blk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab90635901534444b66f6949ba633e01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab90635901534444b66f6949ba633e01"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#aab90635901534444b66f6949ba633e01">empt_ff</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3888a3199e9a0649c0dccbe8bb3654ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3888a3199e9a0649c0dccbe8bb3654ed"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3888a3199e9a0649c0dccbe8bb3654ed">rd_ff_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7afcde4478f5e0f7b72d68addeaa4a5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7afcde4478f5e0f7b72d68addeaa4a5b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a7afcde4478f5e0f7b72d68addeaa4a5b">del_rd_ff</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af2272b7c7d8277e8a8354110a2ddd572"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2272b7c7d8277e8a8354110a2ddd572"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#af2272b7c7d8277e8a8354110a2ddd572">blk_size</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abe90c4cfd772d4ab6954215dc00ce3c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe90c4cfd772d4ab6954215dc00ce3c3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abe90c4cfd772d4ab6954215dc00ce3c3">blk_full</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afb6da7388daebcd84a272d0ebfe10954"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb6da7388daebcd84a272d0ebfe10954"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afb6da7388daebcd84a272d0ebfe10954">blk_full_anti</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a395e7ab1ee8411605b15b83bac71a983"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a395e7ab1ee8411605b15b83bac71a983"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a395e7ab1ee8411605b15b83bac71a983">End_pckt_lgc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51447547e01a9cc52513e469d5aaa66f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51447547e01a9cc52513e469d5aaa66f"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a51447547e01a9cc52513e469d5aaa66f">last_word</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a654d883805e3da546c0098af20cd9ac6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a654d883805e3da546c0098af20cd9ac6"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a654d883805e3da546c0098af20cd9ac6">sel_test_mode</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1697c7c3e2e29e1ebac15d7998977634"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1697c7c3e2e29e1ebac15d7998977634"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a1697c7c3e2e29e1ebac15d7998977634">wen_tm</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a57be4a1da1298b1d2d19f94e79c16964"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57be4a1da1298b1d2d19f94e79c16964"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a57be4a1da1298b1d2d19f94e79c16964">data_tm</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0ae9172da5cf51d62f8cf9e634e1eb97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ae9172da5cf51d62f8cf9e634e1eb97"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a0ae9172da5cf51d62f8cf9e634e1eb97">uctrl_tm</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac95d7597df6d41329901c2237c85917b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac95d7597df6d41329901c2237c85917b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac95d7597df6d41329901c2237c85917b">backpressure_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f00d43328c9e434a5648cc5cc3111d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f00d43328c9e434a5648cc5cc3111d0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a4f00d43328c9e434a5648cc5cc3111d0">wen_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a7c81a2c5e90a0e28a9539eff315362"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a7c81a2c5e90a0e28a9539eff315362"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a7a7c81a2c5e90a0e28a9539eff315362">data_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abcb4a607f646d15c72800872b494697d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcb4a607f646d15c72800872b494697d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abcb4a607f646d15c72800872b494697d">uctrl_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d225057ffc9639301dfbbf6d7f35c6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d225057ffc9639301dfbbf6d7f35c6a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a6d225057ffc9639301dfbbf6d7f35c6a">PCIe_dto</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ffec4a52e54472da17be35f702ab2e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ffec4a52e54472da17be35f702ab2e4"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9ffec4a52e54472da17be35f702ab2e4">local_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa4722fc6f34f30de746cb26c37a1e7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa4722fc6f34f30de746cb26c37a1e7b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afa4722fc6f34f30de746cb26c37a1e7b">LINKDOWN_cell</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a771b5b2babcee858d58c73dc009d57ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a771b5b2babcee858d58c73dc009d57ba"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a771b5b2babcee858d58c73dc009d57ba">data_r_crc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a89b45f778fb3d503ba9fc9e8e911bc62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89b45f778fb3d503ba9fc9e8e911bc62"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a89b45f778fb3d503ba9fc9e8e911bc62">wen_ra</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acfda601c0f2ca78753a2a816cb49a185"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfda601c0f2ca78753a2a816cb49a185"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#acfda601c0f2ca78753a2a816cb49a185">CRC_Rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a03dd304952561f3c065c727c962103ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03dd304952561f3c065c727c962103ed"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a03dd304952561f3c065c727c962103ed">CRC_Check</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9abda0ee0ade57059a72b5822883b58b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9abda0ee0ade57059a72b5822883b58b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9abda0ee0ade57059a72b5822883b58b">ena_CRC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4825d8bdbc6f2abbbfcfca8208d667c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4825d8bdbc6f2abbbfcfca8208d667c"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ab4825d8bdbc6f2abbbfcfca8208d667c">ena_CRC_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4d8432fd94ebbbb0c3bd47beab06c4c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d8432fd94ebbbb0c3bd47beab06c4c3"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a4d8432fd94ebbbb0c3bd47beab06c4c3">CRC_frag</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afea0acbdc420a84f479808f45779586a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afea0acbdc420a84f479808f45779586a"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afea0acbdc420a84f479808f45779586a">CRC_cmp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9843eb4c6697ef13e9bc19078a5635ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9843eb4c6697ef13e9bc19078a5635ef"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9843eb4c6697ef13e9bc19078a5635ef">data_rb_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b08260ef0224f99cb4c7603a2dfba94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b08260ef0224f99cb4c7603a2dfba94"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a2b08260ef0224f99cb4c7603a2dfba94">backpressure</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acd8ec044b546e9a120be29dd7db8e762"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd8ec044b546e9a120be29dd7db8e762"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#acd8ec044b546e9a120be29dd7db8e762">block_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e6a3e068662ec1701f99f9a69ed0a67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e6a3e068662ec1701f99f9a69ed0a67"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3e6a3e068662ec1701f99f9a69ed0a67">event_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9ed08f231162ac80f0af5b31e8ec0da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9ed08f231162ac80f0af5b31e8ec0da"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac9ed08f231162ac80f0af5b31e8ec0da">data_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c2f67c4e79c63d3d67e28a15f8cdfde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c2f67c4e79c63d3d67e28a15f8cdfde"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a3c2f67c4e79c63d3d67e28a15f8cdfde">Retransmit_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a93a250fe1648fe4d63d44eba550e86fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93a250fe1648fe4d63d44eba550e86fd"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a93a250fe1648fe4d63d44eba550e86fd">cnt_back_p</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abfc37fd2a6e093b407007de35bd49884"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfc37fd2a6e093b407007de35bd49884"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abfc37fd2a6e093b407007de35bd49884">FED_CRC_error_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0ba7d775df7fb22743a4069572a9cb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0ba7d775df7fb22743a4069572a9cb0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ad0ba7d775df7fb22743a4069572a9cb0">state_machine_status</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac215c8c63ad715b3c7d70b0d78b9b079"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac215c8c63ad715b3c7d70b0d78b9b079"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac215c8c63ad715b3c7d70b0d78b9b079">blk_size_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abee25796fe80893e2cb6a73a9175119b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abee25796fe80893e2cb6a73a9175119b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#abee25796fe80893e2cb6a73a9175119b">start_evt_mem_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28845eae510629bb9c3ebd152cac7233"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28845eae510629bb9c3ebd152cac7233"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a28845eae510629bb9c3ebd152cac7233">stop_evt_mem_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7ce9de911e660a2535a2edf814f64822"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ce9de911e660a2535a2edf814f64822"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a7ce9de911e660a2535a2edf814f64822">End_pckt_lgc_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a12836cdddc09509ce119419682fb1519"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12836cdddc09509ce119419682fb1519"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a12836cdddc09509ce119419682fb1519">freq_measure_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a87e47d67ac48f8a9d8c07a3fbe41797b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87e47d67ac48f8a9d8c07a3fbe41797b"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a87e47d67ac48f8a9d8c07a3fbe41797b">rsyc_test_mode</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7eef600db45300e9d8221f510bb27c88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eef600db45300e9d8221f510bb27c88"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a7eef600db45300e9d8221f510bb27c88">rsyc_DAQON</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a995a015c5f4b59f435478f30e0041ef0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a995a015c5f4b59f435478f30e0041ef0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a995a015c5f4b59f435478f30e0041ef0">evt_ongoing</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af274f82a4884f711716d4377b794af5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af274f82a4884f711716d4377b794af5d"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#af274f82a4884f711716d4377b794af5d">HD_dup</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a321ab772ec2caef82b120d49b6cd49c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a321ab772ec2caef82b120d49b6cd49c1"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a321ab772ec2caef82b120d49b6cd49c1">TR_dup</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49e29cc066c36376734534008174da44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49e29cc066c36376734534008174da44"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a49e29cc066c36376734534008174da44">track_evt_num</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">23</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9dd4408e0dfc3f74513c1343ab487fc4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9dd4408e0dfc3f74513c1343ab487fc4"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a9dd4408e0dfc3f74513c1343ab487fc4">found_dup</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a0ef2404e43d4fe366fb2f3c4623e801e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ef2404e43d4fe366fb2f3c4623e801e"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a0ef2404e43d4fe366fb2f3c4623e801e">req_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>freq_measure</b>  <em><a class="el" href="classfreq__measure.html">&lt;Entity freq_measure&gt;</a></em></td></tr>
<tr class="memitem:ac6ef61fb0fec52abd81fd71388742cc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6ef61fb0fec52abd81fd71388742cc0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac6ef61fb0fec52abd81fd71388742cc0">i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>event_generator</b>  <em><a class="el" href="classevent__generator.html">&lt;Entity event_generator&gt;</a></em></td></tr>
<tr class="memitem:ae9cccc287599e05dcab4492e66fdd0a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9cccc287599e05dcab4492e66fdd0a0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ae9cccc287599e05dcab4492e66fdd0a0">internal_FIFO</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>FIFO_sync</b>  <em><a class="el" href="classFIFO__sync.html">&lt;Entity FIFO_sync&gt;</a></em></td></tr>
<tr class="memitem:afdb2e6717ddb36c92a1d43bd8a52278e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdb2e6717ddb36c92a1d43bd8a52278e"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afdb2e6717ddb36c92a1d43bd8a52278e">i_crc_check</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>CRC_SLINKx</b>  <em><a class="el" href="classCRC__SLINKx.html">&lt;Entity CRC_SLINKx&gt;</a></em></td></tr>
<tr class="memitem:a0ef2404e43d4fe366fb2f3c4623e801e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ef2404e43d4fe366fb2f3c4623e801e"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#a0ef2404e43d4fe366fb2f3c4623e801e">req_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>freq_measure</b>  <em><a class="el" href="classfreq__measure.html">&lt;Entity freq_measure&gt;</a></em></td></tr>
<tr class="memitem:ac6ef61fb0fec52abd81fd71388742cc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6ef61fb0fec52abd81fd71388742cc0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ac6ef61fb0fec52abd81fd71388742cc0">i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>event_generator</b>  <em><a class="el" href="classevent__generator.html">&lt;Entity event_generator&gt;</a></em></td></tr>
<tr class="memitem:ae9cccc287599e05dcab4492e66fdd0a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9cccc287599e05dcab4492e66fdd0a0"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#ae9cccc287599e05dcab4492e66fdd0a0">internal_FIFO</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>FIFO_sync</b>  <em><a class="el" href="classFIFO__sync.html">&lt;Entity FIFO_sync&gt;</a></em></td></tr>
<tr class="memitem:afdb2e6717ddb36c92a1d43bd8a52278e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdb2e6717ddb36c92a1d43bd8a52278e"></a>
<a class="el" href="classfed__itf_1_1behavioral.html#afdb2e6717ddb36c92a1d43bd8a52278e">i_crc_check</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>CRC_SLINKx</b>  <em><a class="el" href="classCRC__SLINKx.html">&lt;Entity CRC_SLINKx&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html#l00074">74</a> of file <a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2fed__itf_8vhd_source.html">fed_itf.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
